Package ghidra.app.util.bin.format.macho

# Class SectionTypes

java.lang.Object
ghidra.app.util.bin.format.macho.SectionTypes

public final class SectionTypes extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `S_16BYTE_LITERALS`
  section with only 16 byte literals
  `static final int`
  `S_4BYTE_LITERALS`
  Type: section with only 4 byte literals
  `static final int`
  `S_8BYTE_LITERALS`
  Type: section with only 8 byte literals
  `static final int`
  `S_COALESCED`
  Type: section contains symbols that are to be coalesced
  `static final int`
  `S_CSTRING_LITERALS`
  Type: section with only literal C strings
  `static final int`
  `S_DTRACE_DOF`
  section contains DTrace Object Format
  `static final int`
  `S_GB_ZEROFILL`
  Type: zero fill on demand section (that can be larger than 4 gigabytes)
  `static final int`
  `S_INTERPOSING`
  Type: section with only pairs of function pointers for interposing
  `static final int`
  `S_LAZY_DYLIB_SYMBOL_POINTERS`
  section with only lazy symbol pointers to lazy loaded dylibs
  `static final int`
  `S_LAZY_SYMBOL_POINTERS`
  Type: section with only lazy symbol pointers
  `static final int`
  `S_LITERAL_POINTERS`
  Type: section with only pointers to literals
  `static final int`
  `S_MOD_INIT_FUNC_POINTERS`
  Type: section with only function pointers for initialization
  `static final int`
  `S_MOD_TERM_FUNC_POINTERS`
  Type: section with only function pointers for termination
  `static final int`
  `S_NON_LAZY_SYMBOL_POINTERS`
  Type: section with only non-lazy symbol pointers
  `static final int`
  `S_REGULAR`
  Type: regular section
  `static final int`
  `S_SYMBOL_STUBS`
  Type: section with only symbol stubs, byte size of stub in the reserved2 field
  `static final int`
  `S_THREAD_LOCAL_INIT_FUNCTION_POINTERS`
  Section types to support thread local variables.
  `static final int`
  `S_THREAD_LOCAL_REGULAR`
  Section types to support thread local variables.
  `static final int`
  `S_THREAD_LOCAL_VARIABLE_POINTERS`
  Section types to support thread local variables.
  `static final int`
  `S_THREAD_LOCAL_VARIABLES`
  Section types to support thread local variables.
  `static final int`
  `S_THREAD_LOCAL_ZEROFILL`
  Section types to support thread local variables.
  `static final int`
  `S_ZEROFILL`
  Type: zero fill on demand section
  `static final int`
  `SECTION_TYPE_MASK`
  256 section types

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SectionTypes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getTypeName(int type)`
  Returns the string name for the constant define of the section type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SECTION_TYPE_MASK

    public static final int SECTION_TYPE_MASK
    256 section types
    See Also:
      - Constant Field Values

  - ### S_REGULAR

    public static final int S_REGULAR
    Type: regular section
    See Also:
      - Constant Field Values

  - ### S_ZEROFILL

    public static final int S_ZEROFILL
    Type: zero fill on demand section
    See Also:
      - Constant Field Values

  - ### S_CSTRING_LITERALS

    public static final int S_CSTRING_LITERALS
    Type: section with only literal C strings
    See Also:
      - Constant Field Values

  - ### S_4BYTE_LITERALS

    public static final int S_4BYTE_LITERALS
    Type: section with only 4 byte literals
    See Also:
      - Constant Field Values

  - ### S_8BYTE_LITERALS

    public static final int S_8BYTE_LITERALS
    Type: section with only 8 byte literals
    See Also:
      - Constant Field Values

  - ### S_LITERAL_POINTERS

    public static final int S_LITERAL_POINTERS
    Type: section with only pointers to literals
    See Also:
      - Constant Field Values

  - ### S_NON_LAZY_SYMBOL_POINTERS

    public static final int S_NON_LAZY_SYMBOL_POINTERS
    Type: section with only non-lazy symbol pointers
    See Also:
      - Constant Field Values

  - ### S_LAZY_SYMBOL_POINTERS

    public static final int S_LAZY_SYMBOL_POINTERS
    Type: section with only lazy symbol pointers
    See Also:
      - Constant Field Values

  - ### S_SYMBOL_STUBS

    public static final int S_SYMBOL_STUBS
    Type: section with only symbol stubs, byte size of stub in the reserved2 field
    See Also:
      - Constant Field Values

  - ### S_MOD_INIT_FUNC_POINTERS

    public static final int S_MOD_INIT_FUNC_POINTERS
    Type: section with only function pointers for initialization
    See Also:
      - Constant Field Values

  - ### S_MOD_TERM_FUNC_POINTERS

    public static final int S_MOD_TERM_FUNC_POINTERS
    Type: section with only function pointers for termination
    See Also:
      - Constant Field Values

  - ### S_COALESCED

    public static final int S_COALESCED
    Type: section contains symbols that are to be coalesced
    See Also:
      - Constant Field Values

  - ### S_GB_ZEROFILL

    public static final int S_GB_ZEROFILL
    Type: zero fill on demand section (that can be larger than 4 gigabytes)
    See Also:
      - Constant Field Values

  - ### S_INTERPOSING

    public static final int S_INTERPOSING
    Type: section with only pairs of function pointers for interposing
    See Also:
      - Constant Field Values

  - ### S_16BYTE_LITERALS

    public static final int S_16BYTE_LITERALS
    section with only 16 byte literals
    See Also:
      - Constant Field Values

  - ### S_DTRACE_DOF

    public static final int S_DTRACE_DOF
    section contains DTrace Object Format
    See Also:
      - Constant Field Values

  - ### S_LAZY_DYLIB_SYMBOL_POINTERS

    public static final int S_LAZY_DYLIB_SYMBOL_POINTERS
    section with only lazy symbol pointers to lazy loaded dylibs
    See Also:
      - Constant Field Values

  - ### S_THREAD_LOCAL_REGULAR

    public static final int S_THREAD_LOCAL_REGULAR
    Section types to support thread local variables. Template of initial values to TLVs.
    See Also:
      - Constant Field Values

  - ### S_THREAD_LOCAL_ZEROFILL

    public static final int S_THREAD_LOCAL_ZEROFILL
    Section types to support thread local variables. Template of initial values to TLVs.
    See Also:
      - Constant Field Values

  - ### S_THREAD_LOCAL_VARIABLES

    public static final int S_THREAD_LOCAL_VARIABLES
    Section types to support thread local variables. TLV descriptors.
    See Also:
      - Constant Field Values

  - ### S_THREAD_LOCAL_VARIABLE_POINTERS

    public static final int S_THREAD_LOCAL_VARIABLE_POINTERS
    Section types to support thread local variables. Pointers to TLV descriptors.
    See Also:
      - Constant Field Values

  - ### S_THREAD_LOCAL_INIT_FUNCTION_POINTERS

    public static final int S_THREAD_LOCAL_INIT_FUNCTION_POINTERS
    Section types to support thread local variables. Functions to call to initialize TLV values.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SectionTypes

    public SectionTypes()

- ## Method Details

  - ### getTypeName

    public static final String getTypeName(int type)
    Returns the string name for the constant define of the section type.
    Parameters:
      `type` - the section type
    Returns:
      string name for the constant define of the section type